ChangeSet 1.889.26.2, 2003/01/10 11:11:16-08:00, greg@kroah.com

[PATCH] USB: Fix problem of sending the wrong device_id to the usb serial driver on probe()


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Mon Jan 13 14:28:47 2003
+++ b/drivers/usb/serial/usb-serial.c	Mon Jan 13 14:28:47 2003
@@ -910,7 +910,7 @@
 			kfree (serial);
 			return -EIO;
 		}
-		retval = type->probe (serial, id);
+		retval = type->probe (serial, id_pattern);
 		module_put(type->owner);
 
 		if (retval < 0) {
